Skip to main content

Create access token for the user​

Create access token for the user

Request Body
  • tokenName string required
  • tokenType string

    Possible values: [DEFAULT, MS_SCIM, ALL, CUSTOM, OneTouch, CrowdStrike, NetAppRansomwareResilience]

    Default value: ALL

    (0)DEFAULT is ALL(2), (1) MS_SCIM is for Azure SCIM operations,(2)ALL has access to all APIs while in (3)CUSTOM, apiEndpoints can be defined and access scope is limited to those endpoints, (6)CrowdStrike is for CrowdStrike integration operations, (7)NetAppRansomwareResilience is for NetApp Ransomware Resilience operations.

  • renewableUntilTimestamp int32

    Applicable only for ALL and CUSTOM token types. default value is 90days from creation time

  • apiEndpoints string[]

    Relevant only for tokenType 3(CUSTOM) and it is mandatory for type 3

  • tokenExpiryTimestamp int32

    Applicable only for MS_SCIM and OneTouch tokenTypes

  • enableIPAllowListFeature boolean

    Default value: false

    Enable IP allowlist feature

  • allowedIPs string[]

    Allowed IP addresses for using the AccessToken

  • userId int32

    User ID for which the access token is created. If not provided, it will be created for the logged in user.

Responses

OK


Schema
  • error object
  • errorMessage string
  • errorCode int32
  • tokenInfo object
  • error object
  • errorMessage string
  • errorCode int32
  • accessTokenId int32
  • tokenName string
  • userId int32
  • tokenType string

    Possible values: [DEFAULT, MS_SCIM, ALL, CUSTOM, OneTouch, CrowdStrike, NetAppRansomwareResilience]

    Default value: ALL

    (0)DEFAULT is ALL(2), (1) MS_SCIM is for Azure SCIM operations,(2)ALL has access to all APIs while in (3)CUSTOM, apiEndpoints can be defined and access scope is limited to those endpoints, (6)CrowdStrike is for CrowdStrike integration operations, (7)NetAppRansomwareResilience is for NetApp Ransomware Resilience operations.

  • tokenExpiryTimestamp int32
  • accessToken string

    accesstoken and refresh token should be saved. it won't be shown again

  • refreshToken string

    accesstoken and refresh token should be saved. it won't be shown agai .Applicable only for ALL and CUSTOM token types

  • refreshTokenExpiryTimestamp int32

    Applicable only for ALL and CUSTOM token types

  • renewableUntilTimestamp int32

    Applicable only for ALL and CUSTOM token types

Loading...